[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TSynchroObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Abstract synchronization object

## Declaration

Source position: syncobjs.pp line 33

`type TSynchroObject = class(TObject)`
`procedure Acquire; virtual;` |  | Acquire synchronization resource
`procedure Release; virtual;` |  | Release previously acquired synchronization resource
`end;`

## Inheritance

`TSynchroObject` |  | Abstract synchronization object
`TObject`

## Description

TSynchroObject is an abstract synchronization resource object. It implements 2 virtual methods Acquire which can be used to acquire the resource, and Release to release the resource.

## See also

Acquire |  | Acquire synchronization resource
Release |  | Release previously acquired synchronization resource

The latest version of this document can be found at lazarus-ccr.sourceforge.net.